<ion-header>
  <ion-toolbar class="background-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
     </div>
    <ion-title style="font-size:16px" *ngIf="itemBook">{{itemBook?.ebookTitle}}</ion-title>
    <ion-icon *ngIf="ebookPrice > 0 && expireDate" (click)="presentAlert()" slot="end" class="icon ion-padding-end" name="information-circle-outline"></ion-icon>   
    <ion-icon *ngIf="ebookPrice == 0" (click)="download()" slot="end" class="icon ion-padding-end" name="download"></ion-icon>   
  </ion-toolbar>
</ion-header>

<ion-content>
  <div fxLayout="column" class="input-ratio ion-text-end">
    <div>
      <ion-icon name="add-circle-outline" (click)="countRatio('plus')"></ion-icon> 
    </div>
    <div>
      <ion-icon name="remove-circle-outline" (click)="countRatio()"></ion-icon>
    </div>
  </div>

  <div class="loading" [hidden]="isLoading == 'done'">
      <ion-spinner name="lines" style="position:relative;top: 35vh;"></ion-spinner>
  </div>
  <app-document-viewer class="pdf-view" (handleError)="handleError($event)" [libraryID]="itemBook?.libraryID" [ebookID]="ebookID" (isLoading)="handleLoading($event)" [ratio]="ratio" (totalPage)="handlePageEbook($event)" fileName="{{itemBook?.ebookFile}}"></app-document-viewer>
</ion-content>